#ifndef PCF8574_H
#define PCF8574_H


#include "Arduino.h"



const byte port[] = {1,2,4,8,16,32,64,128};

class Pcf8574{

public:

/*
Pcf8574 to keypad pin assignment:
Port   Segment
0	row 1
1	row 2
2	row 3
3	row 4
4	col 1
5	col 2
6	col 3
7	col 4		
*/


/*
Pcf8574 to 7segment pin assignment:
Port   Segment
0	A
1	B
2	C
3	D
4	E
5	F
6	G
7	Dot		
*/




Pcf8574(byte chipAddress);
byte getkeypressed();
byte ReadInput();


bool digitalRead(byte pin);
void digitalWrite(byte pin, bool value);
void WriteOutput( byte output);




void write7seg(byte value,bool dot = false);


private:
byte getBitpos(byte input);
byte chipAddress;
bool keypressed;
byte byteTo7seg(byte value,bool dot);

};



#endif
